@import "../base/mixins";

#footer {
  padding-top: 4rem;
  background-color: var(--gray-4);
  color: var(--white);
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

#footer .form-newsletter {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  width: 100%;
  order: -1;
  text-align: center;
  margin: auto;
  margin-bottom: 2rem;
  
  @include media("sm") {
    max-width: 60%;
  }

  @include media("md-lg") {
    max-width: 70rem;
    order: unset;
    text-align: left;
  }

  .newsletter-title {
    font-size: var(--font-size-base);
    font-weight: 600;
    margin-bottom: 1rem;
    text-align: center;
  }

  .field {
    width: fit-content;
    width: 100%;
    display: flex;
    align-items: center;
  }

    .input-wrapper {
    position: relative;
    flex: 1;

    &::after {
      content: "";
      display: block;
      position: absolute;
      left: 0.8rem;
      top: 50%;
      transform: translateY(-50%);
      height: 2rem;
      width: 2rem;
      background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='22' height='18' viewBox='0 0 22 18' fill='none'><path d='M21 3.84375L12.03 9.54375C11.7213 9.73718 11.3643 9.83976 11 9.83976C10.6357 9.83976 10.2787 9.73718 9.97 9.54375L1 3.84375M3 0.84375H19C20.1046 0.84375 21 1.73918 21 2.84375V14.8438C21 15.9483 20.1046 16.8438 19 16.8438H3C1.89543 16.8438 1 15.9483 1 14.8438V2.84375C1 1.73918 1.89543 0.84375 3 0.84375Z' stroke='gray' stroke-linecap='round' stroke-linejoin='round'/></svg>");
      background-repeat: no-repeat;
      background-size: contain;
      background-position: 0% 50%;
    }
  }

  .input {
    background-color: var(--white);
    border-radius: .8rem;
    padding-left: 4rem;
    color: var(--gray-3);
    height: 4.2rem;
    width: 100%;
    border: 0;
    
    &::placeholder { color: var(--gray-3) }
    &:focus { outline: none }
  }

  .button-default {
    width: auto;
    margin-left: 0.8rem;
    height: 4.2rem;
  }

  .msg-received {
    color: var(--white);
    &:not(.-visible) { display: none }
  }

  .newsletter-description {
    font-size: var(--font-size-small);
    font-weight: 400;
    max-width: 58rem;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
  }

}

#footer .footer-menu {
  width: 100%;
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  padding: 2rem 0;
  border-top: solid 1px var(--gray-3);
  border-bottom: solid 1px var(--gray-3);

  @include media("xs") {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 4rem;
    justify-content: center;
  }

  @include media("md") {
    width: 100%;
    gap: 2rem;
  }

  @include media("lg") { gap: 4rem }

  > .menu {
    width: fit-content;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    
    @include media("md") { width: 100% }
    @include media("xs") {
      margin-left: auto;
      margin-right: auto;
    }

  }

  // Abertura dos submenus
  > .menu .menu-item.-open + .submenu { display: flex }

  > .menu .menu-item {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0.4rem;
    list-style: none;
    width: 100%;
  }
  
  > .menu .menu-title {
    font-size: var(--font-size-base);
    font-weight: 600;
    text-align: center;
    transition: var(--transition);

    &:not([href="#"]):hover { opacity: 0.5 }
  }

  // Setas
  > .menu .arrow {
    cursor: pointer;
    @include media("md") { display: none }
  }

  > .menu .arrow::after {
    content: "";
    border: solid currentColor;
    border-width: 0 1px 1px 0;
    color: currentColor;
    display: inline-block;
    margin-left: 3px;
    margin-bottom: 3px;
    padding: 3px;
    transform: rotate(45deg) scale(0.9);
    transition: var(--transition);
    order: 1;
  }

  > .menu .menu-item.-open .arrow::after {
    transform: rotate(45deg) scale(-1);
    margin-bottom: 0;
  }

  // Abertura dos submenus
  > .menu .menu-item.-open + .submenu { display: flex }

  > .menu .submenu {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 1rem;
    margin-top: 1rem;
    width: 100%;
  }

  > .menu .submenu-item {
    display: flex;
    align-items: center;
    gap: 0.8rem;
  }

  > .menu .submenu-title {
    font-size: var(--font-size-small);
    font-weight: 400;
    transition: var(--transition);

    &:hover { opacity: 0.5 }
  }

  > .menu .submenu .icon {
    min-width: 1.8rem;
    height: 1.8rem;
    color: var(--secondary-color);
  }

}

#footer .social-payment {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  gap: 2rem;

  @include media("md") {
    flex-direction: row;
  }

  > .social-icons {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1rem;

    a { display: flex }

    .icon {
      color: var(--secondary-color);
      transition: var(--transition);
      width: 2.2rem;
      height: 2.2rem;

      &:hover { opacity: 0.5 }
    }
  }

  > .payment {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1rem;
    flex-wrap: wrap;
    width: fit-content;
    margin-right: auto;
    margin-left: auto;

    @include media ("md") {
      margin-right: 0;
    }

    img {
      height: 2.5rem;
      width: 3.5rem;
      object-fit: contain;
    }
  }
}

#footer .bottom {
  background-color: var(--gray-3);
  padding: 2rem;
  display: flex;
  align-content: center;
}

#footer .footer-copyright {
  width: 100%;

  @include media("md") {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  > .copyright {
    width: 100%;
    color: var(--gray-1);
    font-size: var(--font-size-small);
    text-align: center;
    margin-right: 0;
    margin-bottom: 1.2rem;

    @include media("md") {
      width: fit-content;
      margin-right: 1.2rem;
      margin-bottom: 0;
    }
  }

  > .olist-link {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.8rem;
    width: 100%;
    color: var(--gray-1);
    font-size: var(--font-size-small);
    font-weight: 500;
    text-align: center;
    transition: var(--transition);

    @include media("md") { width: max-content; }
    &:hover { opacity: 0.5; }

    .olist-icon {
      height: 1.8rem;
      width: 3.2rem;
      margin-bottom: 0.3rem;
    }
  }
}
